MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025101Community[OCCT] OCCT:Foundation Classespublic2014-07-22 16:382014-11-11 12:59
ReporterTimo 
Assigned Tobugmaster 
PrioritynormalSeveritytext 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025101: Typo in code documentation of gp_Trsf::SetValues
DescriptionCurrently, the code documentation of gp_Trsf::SetValues is:

"Sets the coefficients of the transformation. The

 transformation of the point x,y,z is the point

 x',y',z' with :


 x' = a11 x + a12 y + a13 z + a14
 y' = a21 x + a22 y + a23 z + a24
 z' = a31 x + a32 y + a43 z + a34 "

In the last mentioned line, the parameter a43 should be a33.


Additionally, parameter Tolang isn't used anymore and could be removed.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0025194closedbugmaster Open CASCADE It is necessary to orthogonalize transformation matrix in gp_Trsf and gp_Trsf2d classes 

-  Notes
(0030429)
Timo (developer)
2014-07-25 17:51
edited on: 2014-07-25 17:52

Additionally, two remarks about another class: gp_GTrsf.

The code documentation of gp_GTrsf::Multiplied and gp_GTrsf::Multiply seems to be interchanged.

One of these documentations is:
"Computes the transformation composed with <me> and T.
 <me> = T * <me>"
but should be:
"Computes the transformation composed with <me> and T.
 <me> = <me> * T"

The same documentation should also be done for gp_Trsf.

(0032223)
abv (manager)
2014-09-26 13:29

The original typo is corrected in context of 0025194
(0032225)
git (administrator)
2014-09-26 13:59

Branch CR25101 has been created by abv.

SHA-1: a1dc44ba7da8d0f53ebfd2abb59cd77f88fdd554


Detailed log of new commits:

Author: abv
Date: Fri Sep 26 13:57:15 2014 +0400

    0025101: Typo in code documentation of gp_Trsf::SetValues
    
    Documentation of methods Multiply() and Multiplied() corrected in classes gp_(G)Trsf(2d)
(0032226)
abv (manager)
2014-09-26 14:00

Correction pushed to branch CR25101, please review
(0032292)
Timo (developer)
2014-09-29 12:49

It's OK, just one remark:

In gp_Trsf.cdl and gp_Trsf2d.cdl there is an English spelling mistake in the documentation, which was introduced by 0025194:

"orthogonalyzed" should be changed to "orthogonalized"
(0032299)
abv (manager)
2014-09-29 15:11

Thank you Timo, I have corrected that
(0032415)
git (administrator)
2014-09-30 11:36

Branch CR25101 has been deleted by inv.

SHA-1: a1dc44ba7da8d0f53ebfd2abb59cd77f88fdd554

- Related Changesets
occt: master 01a7df1b
Timestamp: 2014-09-26 09:57:15
Author: abv
Committer: bugmaster
Details ] Diff ]
0025101: Typo in code documentation of gp_Trsf::SetValues

Documentation of methods Multiply() and Multiplied() corrected in classes gp_(G)Trsf(2d)
mod - src/gp/gp_Trsf.cdl Diff ] File ]
mod - src/gp/gp_Trsf2d.cdl Diff ] File ]
occt: master 008297e1
Timestamp: 2014-09-26 09:57:15
Author: abv
Committer: bugmaster
Details ] Diff ]
0025101: Typo in code documentation of gp_Trsf::SetValues

Documentation of methods Multiply() and Multiplied() corrected in classes gp_(G)Trsf(2d)
mod - src/gp/gp_GTrsf.cdl Diff ] File ]
mod - src/gp/gp_GTrsf2d.cdl Diff ] File ]
mod - src/gp/gp_Trsf.cdl Diff ] File ]
mod - src/gp/gp_Trsf2d.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-07-22 16:38 Timo New Issue
2014-07-22 16:38 Timo Assigned To => abv
2014-07-22 17:40 Timo Description Updated View Revisions
2014-07-25 17:51 Timo Note Added: 0030429
2014-07-25 17:52 Timo Note Edited: 0030429 View Revisions
2014-07-25 17:54 abv Assigned To abv => ysn
2014-07-25 17:54 abv Status new => assigned
2014-09-26 13:28 abv Relationship added related to 0025194
2014-09-26 13:29 abv Note Added: 0032223
2014-09-26 13:59 git Note Added: 0032225
2014-09-26 14:00 abv Note Added: 0032226
2014-09-26 14:00 abv Assigned To ysn => Timo
2014-09-26 14:00 abv Status assigned => resolved
2014-09-29 12:49 Timo Note Added: 0032292
2014-09-29 12:49 Timo Assigned To Timo => abv
2014-09-29 12:50 Timo Status resolved => assigned
2014-09-29 15:11 abv Note Added: 0032299
2014-09-29 15:31 bugmaster Changeset attached => occt master 01a7df1b
2014-09-29 15:31 bugmaster Changeset attached => occt master 008297e1
2014-09-29 15:31 bugmaster Assigned To abv => bugmaster
2014-09-29 15:31 bugmaster Status assigned => verified
2014-09-29 15:31 bugmaster Resolution open => fixed
2014-09-30 11:36 git Note Added: 0032415
2014-11-11 12:44 user533 Fixed in Version => 6.8.0
2014-11-11 12:59 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker